Index: src/map/battle.c
===================================================================
--- src/map/battle.c (revision 5)
+++ src/map/battle.c (revision 19)
@@ -73,5 +73,5 @@
 		return 1;
 	}
-	return 0;	
+	return 0;
 }
 
@@ -123,5 +123,5 @@
 		return 1;
 	}
-	return 0;	
+	return 0;
 }
 
@@ -138,5 +138,5 @@
 }
 
-// _E?[WÌx
+// _??[WÌx
 struct delay_damage {
 	struct block_list *src;
@@ -205,5 +205,5 @@
 		amotion = 1000; //Aegis places a damage-delay cap of 1 sec to non player attacks. [Skotlex]
 	add_timer(tick+amotion, battle_delay_damage_sub, src->id, (int)dat);
-	
+
 	return 0;
 }
@@ -211,5 +211,5 @@
 int battle_attr_ratio(int atk_elem,int def_type, int def_lv)
 {
-	
+
 	if (atk_elem < 0 || atk_elem >= ELE_MAX)
 		return 100;
@@ -222,5 +222,5 @@
 
 /*==========================================
- * Does attribute fix modifiers. 
+ * Does attribute fix modifiers.
  * Added passing of the chars so that the status changes can affect it. [Skotlex]
  * Note: Passing src/target == NULL is perfectly valid, it skips SC_ checks.
@@ -230,8 +230,8 @@
 	struct status_change *sc=NULL, *tsc=NULL;
 	int ratio;
-	
+
 	if (src) sc = status_get_sc(src);
 	if (target) tsc = status_get_sc(target);
-	
+
 	if (atk_elem < 0 || atk_elem >= ELE_MAX)
 		atk_elem = rand()%ELE_MAX;
@@ -265,5 +265,5 @@
 
 /*==========================================
- * _E?[W?Å?IvZ
+ * _??[W?Å?IvZ
  *------------------------------------------*/
 int battle_calc_damage(struct block_list *src,struct block_list *bl,int damage,int div_,int skill_num,int skill_lv,int flag)
@@ -277,5 +277,5 @@
 	if (!damage)
 		return 0;
-	
+
 	if( mob_ksprotected(src, bl) )
 		return 0;
@@ -295,5 +295,5 @@
 		if(!damage) return 0;
 	}
-	
+
 	if (skill_num == PA_PRESSURE)
 		return damage; //This skill bypass everything else.
@@ -344,5 +344,5 @@
 			return 0;
 		}
-		
+
 		if(sc->data[SC_DODGE] && !sc->opt1 &&
 			(flag&BF_LONG || sc->data[SC_SPURT])
@@ -373,6 +373,4 @@
 		}
 
-		//Begin Custom Jobs (blackmagic)
-			
 	//Display red flashing aura effect of Adept Blood Lust [Brain]
 	if(sc->data[SC_LUST] && damage > 0){
@@ -398,8 +396,8 @@
 		return 0;
 	}
-//End Custom Jobs
+
 
 		if (((sce=sc->data[SC_UTSUSEMI]) || sc->data[SC_BUNSINJYUTSU])
-		&& 
+		&&
 			flag&BF_WEAPON && !(skill_get_nk(skill_num)&NK_NO_CARDFIX_ATK))
 		{
@@ -503,9 +501,9 @@
 	}
 	//SC effects from caster side. Currently none.
-/*	
+/*
 	sc = status_get_sc(src);
 	if (sc && sc->count) {
 	}
-*/	
+*/
 	if (battle_config.pk_mode && sd && bl->type == BL_PC && damage)
   	{
@@ -555,10 +553,10 @@
 	if (!damage) //No reductions to make.
 		return 0;
-	
+
 	class_ = status_get_class(bl);
 
 	if (bl->type == BL_MOB)
 		md=(struct mob_data *)bl;
-	
+
 	if(md && md->guardian_data) {
 		if(class_ == MOBID_EMPERIUM && flag&BF_SKILL)
@@ -630,5 +628,5 @@
 
 /*==========================================
- * ?Cû_E?[W
+ * ?Cû_??[W
  *------------------------------------------*/
 int battle_addmastery(struct map_session_data *sd,struct block_list *target,int dmg,int type)
@@ -651,9 +649,8 @@
 			damage += sd->status.str;
 	}
-	//Begin Custom Jobs (blackmagic)	
+
 	//Warlock Touch of Corruption (Mage-Monster Killer passive skill) [Brainstorm]
 	if((skill = pc_checkskill(sd,WL_CORRUPTION)) > 0 && target->type==BL_MOB )
 	damage += (skill * (status->int_/10));
-	//end custom job
 
 	if(type == 0)
@@ -740,5 +737,5 @@
 	{	//Mobs/Pets
 		if(flag&4)
-		{		  
+		{
 			atkmin = status->matk_min;
 			atkmax = status->matk_max;
@@ -756,5 +753,5 @@
 		{	//Normal attacks
 			atkmin = status->dex;
-			
+
 			if (sd->equip_index[type] >= 0 && sd->inventory_data[sd->equip_index[type]])
 				atkmin = atkmin*(80 + sd->inventory_data[sd->equip_index[type]]->wlv*20)/100;
@@ -762,5 +759,5 @@
 			if (atkmin > atkmax)
 				atkmin = atkmax;
-			
+
 			if(flag&2 && !(flag&16))
 			{	//Bows
@@ -771,14 +768,14 @@
 		}
 	}
-	
+
 	if (sc && sc->data[SC_MAXIMIZEPOWER])
 		atkmin = atkmax;
-	
+
 	//Weapon Damage calculation
 	if (!(flag&1))
 		damage = (atkmax>atkmin? rand()%(atkmax-atkmin):0)+atkmin;
-	else 
+	else
 		damage = atkmax;
-	
+
 	if (sd)
 	{
@@ -793,5 +790,5 @@
 				sd->right_weapon.atkmods[t_size])/100;
 	}
-	
+
 	//Finally, add baseatk
 	if(flag&4)
@@ -799,5 +796,5 @@
 	else
 		damage += status->batk;
-	
+
 	//rodatazone says that Overrefine bonuses are part of baseatk
 	//Here we also apply the weapon_atk_rate bonus so it is correctly applied on left/right hands.
@@ -826,5 +823,5 @@
 	if (!battle_config.arrow_decrement)
 		return;
-	
+
 	if (skill)
 	{
@@ -894,5 +891,5 @@
 		unsigned idef2 : 1;	//Ignore defense (left weapon)
 		unsigned pdef : 2;	//Pierces defense (Investigate/Ice Pick)
-		unsigned pdef2 : 2;	//1: Use def+def2/100, 2: Use def+def2/50	
+		unsigned pdef2 : 2;	//1: Use def+def2/100, 2: Use def+def2/50
 		unsigned infdef : 1;	//Infinite defense (plants)
 		unsigned arrow : 1;	//Attack is arrow-based
@@ -900,5 +897,5 @@
 		unsigned lh : 1;		//Attack considers left hand (wd.damage2)
 		unsigned weapon : 1; //It's a weapon attack (consider VVS, and all that)
-	}	flag;	
+	}	flag;
 
 	memset(&wd,0,sizeof(wd));
@@ -947,5 +944,5 @@
 	)
 		flag.arrow = 1;
-	
+
 	if(skill_num){
 		wd.flag |= battle_range_type(src, target, skill_num, skill_lv);
@@ -978,5 +975,5 @@
 				wd.type = 0x08;
 				break;
-				
+
 			case GS_GROUNDDRIFT:
 			case KN_SPEARSTAB:
@@ -997,5 +994,5 @@
 	} else //Range for normal attacks.
 		wd.flag |= flag.arrow?BF_LONG:BF_SHORT;
-	
+
 	if (!skill_num && tstatus->flee2 && rand()%1000 < tstatus->flee2)
 	{	//Check for Lucky Dodge
@@ -1049,5 +1046,5 @@
 		//Therefore, we use the old value 3 on cases when an sd gets attacked by a mob
 		cri -= tstatus->luk*(!sd&&tsd?3:2);
-		
+
 		if(tsc)
 		{
@@ -1117,5 +1114,5 @@
 		if(battle_config.agi_penalty_type &&
 			battle_config.agi_penalty_target&target->type)
-		{	
+		{
 			unsigned char attacker_count; //256 max targets should be a sane max
 			attacker_count = unit_counttargeted(target,battle_config.agi_penalty_count_lv);
@@ -1175,5 +1172,5 @@
 			hitrate += hitrate * ( 2 * skill ) / 100;
 
-		hitrate = cap_value(hitrate, battle_config.min_hitrate, battle_config.max_hitrate); 
+		hitrate = cap_value(hitrate, battle_config.min_hitrate, battle_config.max_hitrate);
 
 		if(rand()%100 >= hitrate)
@@ -1326,19 +1323,17 @@
 				)
 				skillratio += sd->random_attack_increase_add;
-		
+
 			ATK_RATE(skillratio);
 		} else {	//Skills
 			switch( skill_num )
 			{
-			//Begin Custom Job (blackmagic)
 				case NC_DEATHHAND: // Necro Death Hand [Brain]
-				skillratio += -25+25*skill_lv;
-				break;
-			//End Black Magic Custom Jobs
+					skillratio += -25+25*skill_lv;
+					break;
 				case SM_BASH:
 					skillratio += 30*skill_lv;
 					break;
 				case SM_MAGNUM:
-					skillratio += 20*skill_lv; 
+					skillratio += 20*skill_lv;
 					break;
 				case MC_MAMMONITE:
@@ -1597,5 +1592,5 @@
 					int k = (wflag-1)/3; //+100% every 3 cells of distance
 					if( k > 2 ) k = 2; // ...but hard-limited to 300%.
-					skillratio += 100 * k; 
+					skillratio += 100 * k;
 					}
 					break;
@@ -1612,13 +1607,11 @@
 					skillratio += 100 *(skill_lv-1);
 					break;
-					//Begin Custom Jobs (blackmagic)
-					//Mercenary Skills [Brainstorm]
-				case MS_BASH:
-					skillratio += 30*skill_lv;
-					break;
-				case MER_CRASH:
-					skillratio += 10*skill_lv;
-					break;
-					//end custom jobs
+		/*Mercenary Skills [Brainstorm]
+		case MS_BASH:
+			skillratio += 30*skill_lv;
+			break;
+		case MER_CRASH:
+			skillratio += 10*skill_lv;
+			break;*/
 			}
 
@@ -1682,5 +1675,5 @@
 				break;
 		}
-		
+
 		if(sd)
 		{
@@ -1754,10 +1747,10 @@
 				if(def2 < 1) def2 = 1;
 			}
-			//Vitality reduction from rodatazone: http://rodatazone.simgaming.net/mechanics/substats.php#def	
+			//Vitality reduction from rodatazone: http://rodatazone.simgaming.net/mechanics/substats.php#def
 			if (tsd)	//Sd vit-eq
 			{	//[VIT*0.5] + rnd([VIT*0.3], max([VIT*0.3],[VIT^2/150]-1))
 				vit_def = def2*(def2-15)/150;
 				vit_def = def2/2 + (vit_def>0?rand()%vit_def:0);
-				
+
 				if((sstatus->race==RC_UNDEAD || sstatus->race==RC_DEMON) &&
 					src->type == BL_MOB && (skill=pc_checkskill(tsd,AL_DP)) > 0)
@@ -1768,5 +1761,5 @@
 				vit_def = def2 + (vit_def>0?rand()%vit_def:0);
 			}
-			
+
 			if (battle_config.weapon_defense_type) {
 				vit_def += def1*battle_config.weapon_defense_type;
@@ -1791,5 +1784,5 @@
 		if (sc && skill_num != LK_SPIRALPIERCE)
 		{	//SC skill damages
-			if(sc->data[SC_AURABLADE]) 
+			if(sc->data[SC_AURABLADE])
 				ATK_ADD(20*sc->data[SC_AURABLADE]->val1);
 		}
@@ -1828,5 +1821,5 @@
 			else
 			ARR_FIND(0, 3, i, t_class == sd->hate_mob[i]);
-			if (i < 3 && (skill=pc_checkskill(sd,sg_info[i].anger_id))) 
+			if (i < 3 && (skill=pc_checkskill(sd,sg_info[i].anger_id)))
 			{
 				skillratio = sd->status.base_level + sstatus->dex + sstatus->luk;
@@ -1843,10 +1836,10 @@
 	} //Here ends flag.hit section, the rest of the function applies to both hitting and missing attacks
   	else if(wd.div_ < 0) //Since the attack missed...
-		wd.div_ *= -1; 
+		wd.div_ *= -1;
 
 	if(skill_num == CR_GRANDCROSS || skill_num == NPC_GRANDDARKNESS)
 		return wd; //Enough, rest is not needed.
 
-	if(sd && (skill=pc_checkskill(sd,BS_WEAPONRESEARCH)) > 0) 
+	if(sd && (skill=pc_checkskill(sd,BS_WEAPONRESEARCH)) > 0)
 		ATK_ADD(skill*2);
 
@@ -1890,5 +1883,5 @@
 		{
 			int cardfix = 1000, cardfix_ = 1000;
-			int t_race2 = status_get_race2(target);	
+			int t_race2 = status_get_race2(target);
 			if(sd->state.arrow_atk)
 			{
@@ -1950,5 +1943,5 @@
 				ATK_RATE2(cardfix/10, cardfix_/10);	//What happens if you use right-to-left and there's no right weapon, only left?
 		}
-		
+
 		if (skill_num == CR_SHIELDBOOMERANG || skill_num == PA_SHIELDCHAIN) { //Refine bonus applies after cards and elements.
 			short index= sd->equip_index[EQI_HAND_L];
@@ -2004,5 +1997,5 @@
 		if (flag.lh && (flag.hit || wd.damage2>0))
 			wd.damage2 = 1;
-		if (!(battle_config.skill_min_damage&1)) 
+		if (!(battle_config.skill_min_damage&1))
 			//Do not return if you are supposed to deal greater damage to plants than 1. [Skotlex]
 			return wd;
@@ -2034,5 +2027,5 @@
 	if (sd)
 	{
-		if (!flag.rh && flag.lh) 
+		if (!flag.rh && flag.lh)
 		{	//Move lh damage to the rh
 			wd.damage = wd.damage2;
@@ -2125,5 +2118,5 @@
 					breakrate[1] += sc->data[SC_MELTDOWN]->val3;
 				}
-			}	
+			}
 			if (breakrate[0])
 				skill_break_equip(target, EQP_WEAPON, breakrate[0], BCT_ENEMY);
@@ -2196,5 +2189,5 @@
 	else if (s_ele == -2) //Use status element
 		s_ele = status_get_attack_sc_element(src,status_get_sc(src));
-	
+
 	//Set miscellaneous data that needs be filled
 	if(sd) {
@@ -2206,5 +2199,5 @@
 	ad.flag |= battle_range_type(src, target, skill_num, skill_lv);
 	flag.infdef=(tstatus->mode&MD_PLANT?1:0);
-		
+
 	switch(skill_num)
 	{
@@ -2234,7 +2227,5 @@
 			case AL_HEAL:
 			case PR_BENEDICTIO:
-				//Begin Custom Job (blackmagic)
 			case AD_DARKHEAL: // Adept Dark Heal
-				//end custom job
 				ad.damage = skill_calc_heal(src, target, skill_lv)/2;
 				break;
@@ -2355,35 +2346,33 @@
 						skillratio += 100 +100*skill_lv +100*(skill_lv/2);
 						break;
-				//Begin Custom Job (blackmagic)
-					case NC_DRAINLIFE: // Necro Drain Life [Brain]
-						skillratio += 25*skill_lv;
-						break;
-					case WL_HELLFIRE: // Warlock Hellfire [Brain]
-						skillratio += 25*skill_lv;
-						break;
-					case WL_SHADOWBURN: // Warlock Shadow Burn [Brain]
-						skillratio += 20*skill_lv;
-						break;
-					case WL_CURSEDOOM: // Warlock Curse of Doom [Brain]
-						skillratio += 400 + 300*skill_lv; //max 20*matk dmg after 60 seconds
-						break;
-					case WL_SEARING: // Warlock Searing Pain [Brain]
-						if(status_get_sc(target)->data[SC_SEARING])
-							skillratio = 10*pc_checkskill(sd,WL_SEARING);//10% * skilllv
-						break; //Else 100% Matk
-					case WL_IMMOLATE: // Warlock Immolate [Brain]
-						if(status_get_sc(target)->data[SC_IMMOLATE])
-							skillratio += 10*pc_checkskill(sd,WL_SEARING);//100% +10 * searing lv
-						else skillratio += -20 + 20*skill_lv;// Else 80% + 20% * skill lv
-						break;
-					case WL_CONFLAGRATE: // Warlock Conflagrate [Brain]
-						skillratio += 100 + 60*skill_lv + //damage bonus from other fire skills
-							10*pc_checkskill(sd,WL_SEARING) + 10*pc_checkskill(sd,WL_IMMOLATE);
-						break;
-	//End Custom Job
-			}
+			case NC_DRAINLIFE: // Necro Drain Life [Brain]
+			skillratio += 25*skill_lv;
+			break;
+			case WL_HELLFIRE: // Warlock Hellfire [Brain]
+			skillratio += 25*skill_lv;
+			break;
+			case WL_SHADOWBURN: // Warlock Shadow Burn [Brain]
+			skillratio += 20*skill_lv;
+			break;
+			case WL_CURSEDOOM: // Warlock Curse of Doom [Brain]
+			skillratio += 400 + 300*skill_lv; //max 20*matk dmg after 60 seconds
+			break;
+			case WL_SEARING: // Warlock Searing Pain [Brain]
+			if(status_get_sc(target)->data[SC_SEARING])
+				skillratio = 10*pc_checkskill(sd,WL_SEARING);//10% * skilllv
+			break; //Else 100% Matk
+			case WL_IMMOLATE: // Warlock Immolate [Brain]
+			if(status_get_sc(target)->data[SC_IMMOLATE])
+				skillratio += 10*pc_checkskill(sd,WL_SEARING);//100% +10 * searing lv
+			else skillratio += -20 + 20*skill_lv;// Else 80% + 20% * skill lv
+			break;
+			case WL_CONFLAGRATE: // Warlock Conflagrate [Brain]
+			skillratio += 100 + 60*skill_lv + //damage bonus from other fire skills
+				10*pc_checkskill(sd,WL_SEARING) + 10*pc_checkskill(sd,WL_IMMOLATE);
+			break;
+				}
 
 				MATK_RATE(skillratio);
-			
+
 				//Constant/misc additions from skills
 				if (skill_num == WZ_FIREPILLAR)
@@ -2437,5 +2426,5 @@
 			}
 		}
-		
+
 		if (skill_num == NPC_EARTHQUAKE)
 		{	//Adds atk2 to the damage, should be influenced by number of hits and skill-ratio, but not mdef reductions. [Skotlex]
@@ -2452,13 +2441,14 @@
 		if (!(nk&NK_NO_ELEFIX))
 			ad.damage=battle_attr_fix(src, target, ad.damage, s_ele, tstatus->def_ele, tstatus->ele_lv);
-	//Begin Custom Job (blackmagic)		
+
+
 	if(skill_num == WL_SHADOWBURN) { // Warlock Shadow Burn [Brain]
 		// This is where we calculate the secondary damage
 		if(ad.damage<1) ad.damage=1;
 		struct Damage md = battle_calc_misc_attack(src,target,skill_num,skill_lv, mflag);
-		if(md.damage<1) md.damage=1;
-		ad.damage += md.damage;
-	}
-	//End Custom Job
+		if(md.damage<1) md.damage=1; //Changed MD = WD
+		ad.damage += md.damage; // Same as above
+	}
+
 		if (sd && !(nk&NK_NO_CARDFIX_ATK)) {
 			short t_class = status_get_class(target);
@@ -2515,8 +2505,8 @@
 
 	damage_div_fix(ad.damage, ad.div_);
-	
+
 	if (flag.infdef && ad.damage)
 		ad.damage = ad.damage>0?1:-1;
-		
+
 	ad.damage=battle_calc_damage(src,target,ad.damage,ad.div_,skill_num,skill_lv,ad.flag);
 	if (map_flag_gvg2(target->m))
@@ -2526,5 +2516,5 @@
 
 /*==========================================
- * »ÌŒ_E?[WvZ
+ * »ÌŒ_??[WvZ
  *------------------------------------------*/
 struct Damage battle_calc_misc_attack(struct block_list *src,struct block_list *target,int skill_num,int skill_lv,int mflag)
@@ -2555,8 +2545,8 @@
 
 	nk = skill_get_nk(skill_num);
-	
+
 	sd = BL_CAST(BL_PC, src);
 	tsd = BL_CAST(BL_PC, target);
-	
+
 	if(sd) {
 		sd->state.arrow_atk = 0;
@@ -2589,10 +2579,10 @@
 		if(mflag > 1) //Autocasted Blitz.
 			nk|=NK_SPLASHSPLIT;
-		
+
 		if (skill_num == SN_FALCONASSAULT)
 		{
 			//Div fix of Blitzbeat
 			skill = skill_get_num(HT_BLITZBEAT, 5);
-			damage_div_fix(md.damage, skill); 
+			damage_div_fix(md.damage, skill);
 
 			//Falcon Assault Modifier
@@ -2660,9 +2650,8 @@
 	case NPC_EVILLAND:
 		md.damage = (skill_lv>6)?666:skill_lv*100;
-	//Begin Custom Job (blackmagic)
+		//break;
 	case WL_SHADOWBURN: // Warlock ShadowBurn dark element damage [Brain]
-	s_ele = ELE_DARK;
-	md.damage = ((300 + 20*skill_lv)/100)*((sstatus->int_*(rand()%300+500))/100); //Fixed between min and max matk for now
-	//End Custom Job
+		s_ele = ELE_DARK;
+		md.damage = ((300 + 20*skill_lv)/100)*((sstatus->int_*(rand()%300+500))/100); //Fixed between min and max matk for now
 		break;
 	}
@@ -2676,5 +2665,5 @@
 
 	damage_div_fix(md.damage, md.div_);
-	
+
 	if (!(nk&NK_IGNORE_FLEE))
 	{
@@ -2688,7 +2677,7 @@
 				hitrate=80; //Default hitrate
 
-			if(battle_config.agi_penalty_type && 
+			if(battle_config.agi_penalty_type &&
 				battle_config.agi_penalty_target&target->type)
-			{	
+			{
 				unsigned char attacker_count; //256 max targets should be a sane max
 				attacker_count = unit_counttargeted(target,battle_config.agi_penalty_count_lv);
@@ -2759,5 +2748,5 @@
 }
 /*==========================================
- * _E?[WvZê?E?p
+ * _??[WvZê??p
  *------------------------------------------*/
 struct Damage battle_calc_attack(int attack_type,struct block_list *bl,struct block_list *target,int skill_num,int skill_lv,int count)
@@ -2825,9 +2814,9 @@
 		if (*damage <= 0) continue;
 		//First and Third iterations: race, other two boss/nonboss state
-		if (i == 0 || i == 2) 
+		if (i == 0 || i == 2)
 			type = race;
 		else
 			type = boss?RC_BOSS:RC_NONBOSS;
-		
+
 		hp = wd->hp_drain[type].value;
 		if (wd->hp_drain[type].rate)
@@ -2852,6 +2841,5 @@
 	if (sd->sp_vanish_rate && rand()%1000 < sd->sp_vanish_rate)
 		status_percent_damage(&sd->bl, tbl, 0, (unsigned char)sd->sp_vanish_per, false);
-	//begin custom job (blackmagic	
-	// Adept Blood Pact drains 5% damage per hit [FlavioJS/Brain]
+// Adept Blood Pact drains 5% damage per hit [FlavioJS/Brain]
 	if( pc_checkskill(sd, AD_BLOODPACT) > 0 )
 	thp += battle_calc_drain(rdamage,1000,5);
@@ -2867,9 +2855,8 @@
 		rhp += corrupt_sp;//If SP damage was caused, increase HP damage too
 	}
-	//end custom job
 	if (!thp && !tsp) return;
 
 	status_heal(&sd->bl, thp, tsp, battle_config.show_hp_sp_drain?3:1);
-	
+
 	if (rhp || rsp)
 		status_zap(tbl, rhp, rsp);
@@ -2877,5 +2864,5 @@
 
 /*==========================================
- * Ê?EU?E?ÜÆß
+ * Ê?í?U??ÜÆß
  *------------------------------------------*/
 enum damage_lv battle_weapon_attack(struct block_list* src, struct block_list* target, unsigned int tick, int flag)
@@ -2907,5 +2894,5 @@
 	if (tsc && !tsc->count)
 		tsc = NULL;
-	
+
 	if (sd)
 	{
@@ -3070,5 +3057,5 @@
 
 	if (tsc) {
-		if (tsc->data[SC_POISONREACT] && 
+		if (tsc->data[SC_POISONREACT] &&
 			(rand()%100 < tsc->data[SC_POISONREACT]->val3
 			|| sstatus->def_ele == ELE_POISON) &&
@@ -3092,5 +3079,4 @@
 }
 
-//Begin custom Job (blackmagic)
 int battle_check_living(int race,int element)// Living creature check [Brain]
 {
@@ -3105,5 +3091,4 @@
 	}
 }
-//end custom job
 
 int battle_check_undead(int race,int element)
@@ -3234,5 +3219,5 @@
 			break;
 		//All else not specified is an invalid target.
-		default:	
+		default:
 			return 0;
 	}
@@ -3253,15 +3238,4 @@
 				strip_enemy = 0;
 			}
-			// Sketchy - begin
-		if (sd->state.god && t_bl != s_bl && s_bl->type == BL_PC && ((TBL_PC*)s_bl)->state.demon && map[m].flag.hostile) {
-		state |= BCT_ENEMY;
-		strip_enemy = 0;
-		}
-
-		if (sd->state.demon && t_bl != s_bl && s_bl->type == BL_PC && ((TBL_PC*)s_bl)->state.god && map[m].flag.hostile) {
-		state |= BCT_ENEMY;
-		strip_enemy = 0;
-		}
-		// Sketchy -end
 			break;
 		}
@@ -3362,6 +3336,6 @@
 			break;
 	}
-	
-	if ((flag&BCT_ALL) == BCT_ALL) { //All actually stands for all attackable chars 
+
+	if ((flag&BCT_ALL) == BCT_ALL) { //All actually stands for all attackable chars
 		if (target->type&BL_CHAR)
 			return 1;
@@ -3371,5 +3345,5 @@
 	if (flag == BCT_NOONE) //Why would someone use this? no clue.
 		return -1;
-	
+
 	if (t_bl == s_bl)
 	{	//No need for further testing.
@@ -3379,5 +3353,5 @@
 		return (flag&state)?1:-1;
 	}
-	
+
 	if (map_flag_vs(m)) { //Check rivalry settings.
 		if (flag&(BCT_PARTY|BCT_ENEMY)) {
@@ -3429,5 +3403,5 @@
 		}
 	}
-	
+
 	if (!state) //If not an enemy, nor a guild, nor party, nor yourself, it's neutral.
 		state = BCT_NEUTRAL;
@@ -3759,5 +3733,5 @@
 	{ "require_glory_guild",                &battle_config.require_glory_guild,             0,      0,      1,              },
 	{ "idle_no_share",                      &battle_config.idle_no_share,                   0,      0,      INT_MAX,        },
-	{ "party_even_share_bonus",             &battle_config.party_even_share_bonus,          0,      0,      INT_MAX,        }, 
+	{ "party_even_share_bonus",             &battle_config.party_even_share_bonus,          0,      0,      INT_MAX,        },
 	{ "delay_battle_damage",                &battle_config.delay_battle_damage,             1,      0,      1,              },
 	{ "hide_woe_damage",                    &battle_config.hide_woe_damage,                 0,      0,      1,              },
@@ -3832,9 +3806,8 @@
 	{ "auction_feeperhour",                 &battle_config.auction_feeperhour,              12000,  0,      INT_MAX,        },
 	{ "auction_maximumprice",               &battle_config.auction_maximumprice,            500000000, 0,   MAX_ZENY,       },
-	//Begin Custom Job (blackmagic)	
 	//Vanaheim battle settings [Brainstorm]
 	{ "necro_retaliation",		  &battle_config.necro_retaliation,		   1,	  0,	  1,		  },
-	{ "disp_summon_stats",		  &battle_config.disp_summon_stats,
-	//End Custom Job
+	{ "disp_summon_stats",		  &battle_config.disp_summon_stats,		   0,	  0,	  1,		  },
+
 	{ "gm_viewequip_min_lv",                &battle_config.gm_viewequip_min_lv,             0,      0,      99,             },
 };
@@ -3881,7 +3854,7 @@
 	battle_config.monster_max_aspd = 2000 - battle_config.monster_max_aspd*10;
 	battle_config.max_aspd = 2000 - battle_config.max_aspd*10;
-	battle_config.max_walk_speed = 100*DEFAULT_WALK_SPEED/battle_config.max_walk_speed;	
+	battle_config.max_walk_speed = 100*DEFAULT_WALK_SPEED/battle_config.max_walk_speed;
 	battle_config.max_cart_weight *= 10;
-	
+
 	if(battle_config.max_def > 100 && !battle_config.weapon_defense_type)	 // added by [Skotlex]
 		battle_config.max_def = 100;
@@ -3889,13 +3862,13 @@
 	if(battle_config.min_hitrate > battle_config.max_hitrate)
 		battle_config.min_hitrate = battle_config.max_hitrate;
-		
+
 	if(battle_config.pet_max_atk1 > battle_config.pet_max_atk2)	//Skotlex
 		battle_config.pet_max_atk1 = battle_config.pet_max_atk2;
-	
+
 	if (battle_config.day_duration && battle_config.day_duration < 60000) // added by [Yor]
 		battle_config.day_duration = 60000;
 	if (battle_config.night_duration && battle_config.night_duration < 60000) // added by [Yor]
 		battle_config.night_duration = 60000;
-	
+
 #ifndef CELL_NOSTACK
 	if (battle_config.cell_stack_limit != 1)
